Bug 658891 - [6.0.z FEAT] Port KVM bug fixes for cr_access to RHEL 6 [rhel-6.0.z]
Summary: [6.0.z FEAT] Port KVM bug fixes for cr_access to RHEL 6 [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: other
OS: All
medium
medium
Target Milestone: rc
: ---
Assignee: Karen Noel
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
: 683788 (view as bug list)
Depends On: 645898
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 15:05 UTC by RHEL Program Management
Modified: 2013-01-09 23:23 UTC (History)
21 users (show)

Fixed In Version: kernel-2.6.32-71.17.1.el6
Doc Type: Enhancement
Doc Text:
Prior to this update, running context-switch intensive workloads on KVM guests resulted in a large number of exits (kvm_exit) due to control register (CR) accesses by the guest, thus, resulting in poor performance. This update includes a number of optimizations which allow the guest not to exit to the hypervisor in the aforementioned case and improve the overall performance.
Clone Of:
Environment:
Last Closed: 2011-02-22 17:40:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0283 0 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2011-02-22 17:38:22 UTC

Description RHEL Program Management 2010-12-01 15:05:26 UTC
This bug has been copied from bug #645898 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 6 Mike Cao 2011-02-17 09:26:52 UTC
Compared the times kvm_exit entries due to cr_access between 2.6.32-71.15.1.el6.x86_64 and 2.6.32-71.17.1.el6.x86_64.

Test on following steps:
1.on the host 
#mount -t debugfs none /sys/kernel/debug
#echo 1 >/sys/kernel/debug/tracing/events/kvm/enable
2.start a linux guest (also tried start a windows guest with cpu load via vmprime.exe)
3.check how many times kvm_exit entries due to cr_access in 5 mins
#cat /sys/kernel/debug/tracing/trace_pipe|grep kvm_exit|grep cr_access|wc -l
following is the results :

/------------------------------------------------------\
|                          |  win08R2     |    rhel6   |
|--------------------------|--------------|------------|
|2.6.32-71.15.1.el6.x86_64 |    5825      |     6780   |
|--------------------------|--------------|------------|
|2.6.32-71.17.1.el6.x86_64 |    400       |      145   |
\------------------------------------------------------/

bcao---->avi

Is this the right way to verify this issue ?Does this issue has been fixed base on above?

Mike

Comment 7 Avi Kivity 2011-02-17 09:40:38 UTC
(In reply to comment #6)

> Is this the right way to verify this issue ?Does this issue has been fixed base
> on above?

Yes.

Comment 8 Miya Chen 2011-02-17 09:54:45 UTC
Change status to verified based on comment#6 and comment#7, and remove "OtherQA" keyword, thanks.

Comment 9 errata-xmlrpc 2011-02-22 17:40:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0283.html

Comment 10 Martin Prpič 2011-02-23 15:04:40 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, running context-switch intensive workloads on KVM guests resulted in a large number of exits (kvm_exit) due to control register (CR) accesses by the guest, thus, resulting in poor performance. This update includes a number of optimizations which allow the guest not to exit to the hypervisor in the aforementioned case and improve the overall performance.

Comment 11 Suzanne Forsberg 2011-04-20 18:26:27 UTC
*** Bug 683788 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.